repo.libs.tools.require_bundle(node, 'nginx')
repo.libs.tools.require_bundle(node, 'php')
repo.libs.tools.require_bundle(node, 'postgresql')
repo.libs.tools.require_bundle(node, 'redis')

VERSION = node.metadata.get('nextcloud/version')

directories = {
    '/var/lib/nextcloud': {
        'owner': 'www-data',
        'group': 'www-data',
        'mode': '0770',
    },
}

files = {
    '/etc/systemd/system/nextcloud-cron.timer': {
        'triggers': {
            'action:systemd-reload',
            'svc_systemd:nextcloud-cron.timer:restart',
        },
    },
    '/etc/systemd/system/nextcloud-cron.service': {
        'triggers': {
            'action:systemd-reload',
        },
    },
}

svc_systemd = {
    'nextcloud-cron.timer': {
        'needs': {
            'file:/etc/systemd/system/nextcloud-cron.timer',
            'file:/etc/systemd/system/nextcloud-cron.service',
        },
    },
}
